<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;


  import { scaleLog } from 'd3-scale';
  import{axisBottom} from "d3-axis";
  import{select} from "d3-selection";


  // Array
  const values = [2, 4, 6, 7, 9];
  const scaleX = scaleLog().domain([1,10]).range([0,innerWidth])

  //Axis
  function xAxis(g){const xAxis = axisBottom(scaleX); xAxis(select(g))}
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    <!--  -->
    {#each values as datapoint}
      <circle cx={scaleX(datapoint)}
              cy={innerHeight/2}
              r=10
               /> 
  {/each}
  </g>
  <g use:xAxis transform="translate({margin.left},{innerHeight-2*margin.bottom})"></g>

  <text x={innerWidth/2+margin.left} 
				y={innerHeight +5}
				color = 'currentColor' >x-axis</text>
</svg>

<style>
  circle { 
      fill: steelblue;
      fill-opacity: 0.95;
  }
</style>
